--
--	Hellfire
--		drains red mana, deals 3/4 to enemy, 1/4 to you	
--

------------------------------------------------
--
-- CastSpell
--
--    Called to actually perform a
--    spell's effects
--
local function CastSpell(idxCaster)

	-- Calculate effect
	local idxEnemy = GET_ENEMY(idxCaster,0);
	local damageEnemy = GET_MANA_FIRE(idxCaster) * 0.75;
	local damageSelf = GET_MANA_FIRE(idxCaster) * 0.25;
	
	-- Actual effect
	Std_InflictDamage(damageEnemy,idxCaster);
	Std_InflictDamage(damageSelf, idxEnemy);	
	
	-- Special FX on caster/enemy
	Std_CasterSpellEffect(idxCaster,SPELLFX_FIREBALL,1);
	Std_EnemySpellEffect(idxCaster,SPELLFX_FIREBALL,1);

	SET_MANA_FIRE(idxCaster, 0);
	
	
end

------------------------------------------------
--
-- ShouldAICastSpell
--
--    Evaluates whether an AI should cast a spell
--    Returns 1 if it should, 0 if it should not
--
local function ShouldAICastSpell(idxCaster)

	local mana_earth = GET_MANA_EARTH(idxCaster);
	if (mana_earth < 10) then
		return 0;
	end
	
	local modifier = -40 + mana_earth*2;
	
	return Std_AISpellcastingChance(modifier);
	
end

------------------------------------------------
--
-- IsCastSpellLegal
--
--    Called to check if a spell may be cast
--    Returns 1 if it can, 0 if it cannot
--
local function IsCastSpellLegal(idxCaster)

   return 1;
end


--
--     DECLARE TABLE
--
SHLF = {
   CastSpell = CastSpell,
   ShouldAICastSpell = ShouldAICastSpell,
   IsCastSpellLegal = IsCastSpellLegal,
};






