--
--	Rip Soul
--		Steals 10 health and 5% each mana from the enemy	
--

------------------------------------------------
--
-- CastSpell
--
--    Called to actually perform a
--    spell's effects
--
local function CastSpell(idxCaster)

	--Effect
	local damage = 10;
	local idxEnemy = GET_ENEMY(idxCaster, 0);
	if (GET_LIFE(idxEnemy) < damage) then
		damage = GET_LIFE(idxEnemy);
	end
	Std_InflictDamage(damage, idxCaster);
	Std_Healing(damage, idxCaster);

	local mana = GET_MANA_AIR(idxEnemy) * 0.1;
	ADD_MANA_AIR(idxCaster, mana);
	SUBTRACT_MANA_AIR(idxEnemy, mana);

	mana = GET_MANA_EARTH(idxEnemy) * 0.1;
	ADD_MANA_EARTH(idxCaster, mana);
	SUBTRACT_MANA_EARTH(idxEnemy, mana);

	mana = GET_MANA_FIRE(idxEnemy) * 0.1;
	ADD_MANA_FIRE(idxCaster, mana);
	SUBTRACT_MANA_FIRE(idxEnemy, mana);

	mana = GET_MANA_WATER(idxEnemy) * 0.1;
	ADD_MANA_WATER(idxCaster, mana);
	SUBTRACT_MANA_WATER(idxEnemy, mana);
	
end


------------------------------------------------
--
-- ShouldAICastSpell
--
--    Evaluates whether an AI should cast a spell
--    Returns 1 if it should, 0 if it should not
--
local function ShouldAICastSpell(idxCaster)
	
	return Std_AISpellcastingChance(0);
end


------------------------------------------------
--
-- IsCastSpellLegal
--
--    Called to check if a spell may be cast
--    Returns 1 if it can, 0 if it cannot
--
local function IsCastSpellLegal(idxCaster)

   return 1;
end


--
--     DECLARE TABLE
--
SRIP = {
   CastSpell = CastSpell,
   ShouldAICastSpell = ShouldAICastSpell,
   IsCastSpellLegal = IsCastSpellLegal,
};







