--
--	Sacrifice
--		Destroys a daemon and gain 10 life	
--

------------------------------------------------
--
-- CastSpell
--
--    Called to actually perform a
--    spell's effects
--
local function CastSpell(idxCaster)

	local daemons = {};
	local effCount = GET_NUM_STATUS_EFFECTS(idxCaster);
	local i;
	local effName;
	local daemonCount = 0;
	if (effCount > 0) then
		for i = 0,effCount-1 do
			effName = GET_STATUS_EFFECT_ON_PLAYER(idxCaster, i);
			if (effName == "EIMP" or effName == "ESUC" or effName == "EBRG" or
		    	    effName == "EHKN" or effName == "ECAB") then
			
				daemons[daemonCount] = i;
				daemonCount = daemonCount + 1;
			end
		end

		if (daemonCount > 0) then
			-- destroy daemon
			i = GET_RANDOM_SYNC(0, daemonCount-1);
			SET_STATUS_EFFECT_DURATION(idxCaster, i, 1);
			Std_Healing(10, idxCaster);
		end
	end
end


------------------------------------------------
--
-- ShouldAICastSpell
--
--    Evaluates whether an AI should cast a spell
--    Returns 1 if it should, 0 if it should not
--
local function ShouldAICastSpell(idxCaster)
	
	return Std_AISpellcastingChance(0);
end


------------------------------------------------
--
-- IsCastSpellLegal
--
--    Called to check if a spell may be cast
--    Returns 1 if it can, 0 if it cannot
--
local function IsCastSpellLegal(idxCaster)

   return 1;
end


--
--     DECLARE TABLE
--
SSAC = {
   CastSpell = CastSpell,
   ShouldAICastSpell = ShouldAICastSpell,
   IsCastSpellLegal = IsCastSpellLegal,
};







